on:
  push:
     branches:
       - 'public'

jobs:
  deploy:
    runs-on: x86_64
    container: alpine:latest
    env:
      GIT_SSH_COMMAND: ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no
    steps:
      - name: Environment setup
        run: |
          apk add git nodejs openssh-client-common openssh-client-default
      - name: Start ssh-agent
        uses: actions/ssh-agent@v0.9.0
        with:
          ssh-private-key: ${{ secrets.PAGES_PRIVKEY }}
      - name: Repo pull
        uses: actions/checkout@v4
        with:
          fetch-depth: 0
      - name: Website upload
        run: |
          git remote set-url origin ${{ vars.PAGES_TARGET }}
          git push -f
